Bug 188946 - Review Request: contacts
Review Request: contacts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-13 16:27 EDT by David Nielsen
Modified: 2013-01-09 20:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 23:10:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
SPEC file (1.33 KB, application/octet-stream)
2006-04-13 17:36 EDT, David Nielsen
no flags Details

  None (edit)
Description David Nielsen 2006-04-13 16:27:47 EDT
Spec URL: http://www.lovesunix.net/contacts.spec
SRPM URL: http://www.lovesunix.net/contact-0.1-1.src.rpm
Description: Contacts is a tiny standalone application to view contact data available via evolution-data-server

Be gentle, this is my first venture into SPEC authoring
Comment 1 Jesse Keating 2006-04-13 17:17:03 EDT
So, a few things going on here in the spec that should be looked at:

- Source url should not use macros
- PreReq seems a bit odd, why the Pre and the regular Req?
- Use of defines at the top seems a bit much.  Why define it to use it in only
one place? (one place if you don't hard specify Requires)
- Hard specified Requires, rpm should be able to figure this out on its own
- Graphical app but no .desktop file
- Files section is referencing directories rather than files within directories.

Other than that its a good start (;
Comment 2 Jesse Keating 2006-04-13 17:23:47 EDT
Whoops, macro in Source url is fine.
Comment 3 David Nielsen 2006-04-13 17:33:59 EDT
I fixed the obvious stuff, thank you for the review.
Comment 4 David Nielsen 2006-04-13 17:36:13 EDT
Created attachment 127729 [details]
SPEC file
Comment 5 Brian Pepple 2006-04-13 18:59:38 EDT
The desktop file needs to have some bits changed specific for Fedora.  You need
to add this to the %install section:

desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  --add-category X-Fedora			        \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

And in the %files section the desktop file needs to be:
%{_datadir}/applications/fedora-%{name}.desktop
Comment 6 Brian Pepple 2006-04-13 19:06:27 EDT
David, is the link to your spec file valid?
Comment 7 Brian Pepple 2006-04-13 19:14:46 EDT
Whoops, forgot to mention in comment #5, that you can drop the BuildRequires for
glib2-devel and gtk2-devel,since the libglade2-devel package will pull these in.
Comment 8 David Nielsen 2006-04-13 19:31:46 EDT
Thank you for the review Brian.. yes the link is valid.

I updated the spec file to include the changes you suggested and uploaded new
versions.
Comment 9 Jesse Keating 2006-04-13 23:46:22 EDT
Now you need desktop-file-utils as a BuildRequires since you'll be using it in
the %install section.  I added that in a local copy of your spec and used that
to build packages.  Rpmlint output coming up.

Comment 10 Jesse Keating 2006-04-14 00:46:44 EDT
rpmlint is silent, no problems.  So fix the BuildRequires and I think we're in
business.  I just have to lookup how to sponsor you.
Comment 11 Josh Boyer 2006-04-14 06:55:26 EDT
(In reply to comment #10)
> rpmlint is silent, no problems.  So fix the BuildRequires and I think we're in
> business.  I just have to lookup how to sponsor you.

You don't have sponsor permissions.  The list of sponsors is here:

https://admin.fedora.redhat.com/accounts/dump-group.cgi?group=cvsextras&role_type=sponsor&format=html

I'm willing to sponsor this though.
Comment 12 David Nielsen 2006-04-14 11:15:06 EDT
Updated.. hopefully this is the final go at this untill Chris releases 0.2 :)
Comment 13 Jesse Keating 2006-04-17 16:40:49 EDT
I have the fu to sponsor now, so David you'll need to go through the steps at
http://fedoraproject.org/wiki/Extras/Contributors to create your account so I
can sponsor it.

Also, the srpm you list isn't reachable, I did tests by using the upstream
tarball w/ your spec.  For prosperity you might want to resolve that.
Comment 14 David Nielsen 2006-04-17 16:59:23 EDT
My webhost seems to have been down for a brief period. sorry about that.

I'm having an issue with the user system, it has gotten in a state where on one
hand it doesn't know a user registered to david@lovesunix.net, yet claims that
one is already registered to that addy when I try to register again. 

Could someone please look at that?
Comment 15 Jesse Keating 2006-04-26 23:10:25 EDT
David isn't as interested in maintaining this anymore, so I've gone ahead and
pushed it through.  It should wind up in extras-development soon.
Comment 16 Paul Howarth 2006-04-27 07:42:29 EDT
(In reply to comment #15)
> David isn't as interested in maintaining this anymore, so I've gone ahead and
> pushed it through.  It should wind up in extras-development soon.

I see from owners.list that you've taken over ownership of this package yourself
(which is good). Reading the above, it could be interpreted as pushing through
an already-orphaned package (which wouldn't have been good).

Note You need to log in before you can comment on or make changes to this bug.